org.apache.jmeter.extractor

## Class BeanShellPostProcessor

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.util.BeanShellTestElement
    - - org.apache.jmeter.extractor.BeanShellPostProcessor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Searchable, PostProcessor, TestBean, TestElement, TestStateListener, ThreadListener

      public class BeanShellPostProcessor
      extends BeanShellTestElement
      implements java.lang.Cloneable, PostProcessor, TestBean

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanShellPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `protected java.lang.String` | `getInitFileProperty()`
    `void` | `process()` Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

    - ### Methods inherited from class org.apache.jmeter.util.BeanShellTestElement

      `getBeanShellInterpreter, getFilename, getParameters, getScript, isResetInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testStarted, testStarted, threadFinished, threadStarted`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### BeanShellPostProcessor

          public BeanShellPostProcessor()

  - ### Method Detail

    - #### getInitFileProperty

          protected java.lang.String getInitFileProperty()

      Specified by:
        `getInitFileProperty` in class `BeanShellTestElement`

    - #### process

          public void process()

      Description copied from interface: `PostProcessor`
      Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.
      Specified by:
        `process` in interface `PostProcessor`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `TestElement`
      Overrides:
        `clone` in class `BeanShellTestElement`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.